format_version: '1.0'

repository_url: https://github.com/openwall/john

sequence:
  base_version:
    input_file: '140a0d4f.zip'
    commit_sha1: 140a0d4fc20b22e4027aedf39e496c28b939d163
  fix_attempt:
    - input_file: '9b187080.diff'
      commit_sha1: 9b187080e664af3370daca5a40c894c429a178ed
    - input_file: 'c0f02e62.diff'
      commit_sha1: c0f02e621cd2db809668404f82878e3b07549f28
    
  expected_fix:
    input_file: '63fbccf5.diff'
    commit_sha1: 63fbccf59a1cbcd78ef5e88ca7453948a97d12d7

  
classification: partial fix
categories: []  
metadata:
  language: C
  strategy: reopen
  build_system: []
  related_issue: https://github.com/openwall/john/issues/852
